Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener Class Reference

Kernel and Console terminate event based background indexer. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener:

## Public Member Functions
| __construct (PersistenceHandler $persistenceHandler, SearchHandler $searchHandler)
| registerContent (ContentInfo $contentInfo)
  | {Register a content for refreshing index in the background.If content is: deleted (NotFoundException) not published (draft or trashed) .. then item is removed from index, if not it is added/updated. Parameters
  \eZ\Publish\SPI\Persistence\Content\ContentInfo | $contentInfo |
} More...
| registerLocation (Location $location)
| {} More...
| reindex ()
Public Member Functions inherited from eZ\Publish\Core\Search\Common\BackgroundIndexer
| registerLocation (Location $location)
| Register a location for refreshing index in the background. More...

## Static Public Member Functions
static | getSubscribedEvents ()

## Protected Attributes
| $persistenceHandler
| $searchHandler
| $contentInfo = []
| $locations = []

## Detailed Description

Kernel and Console terminate event based background indexer.

Definition at line 24 of file BackgroundIndexingTerminateListener.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::__construct | ( | PersistenceHandler | $persistenceHandler,
|  | SearchHandler | $searchHandler
| ) |  |

Definition at line 40 of file BackgroundIndexingTerminateListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\$persistenceHandler, and eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\$searchHandler.

## Member Function Documentation

## ◆ getSubscribedEvents()

static eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::getSubscribedEvents | ( |  | ) |
| static

Definition at line 46 of file BackgroundIndexingTerminateListener.php.

## ◆ registerContent()

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::registerContent | ( | ContentInfo | $contentInfo | ) |

{Register a content for refreshing index in the background.If content is:

- deleted (NotFoundException)
- not published (draft or trashed)

.. then item is removed from index, if not it is added/updated.

Parameters

  \eZ\Publish\SPI\Persistence\Content\ContentInfo | $contentInfo |

}

Implements eZ\Publish\Core\Search\Common\BackgroundIndexer.

Definition at line 58 of file BackgroundIndexingTerminateListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\$contentInfo.

## ◆ registerLocation()

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::registerLocation | ( | Location | $location | ) |

{}

Definition at line 66 of file BackgroundIndexingTerminateListener.php.

## ◆ reindex()

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::reindex | ( |  | ) |

Definition at line 71 of file BackgroundIndexingTerminateListener.php.

References eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\$contentInfo.

## Member Data Documentation

## ◆ $contentInfo

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::$contentInfo = []
| protected

Definition at line 35 of file BackgroundIndexingTerminateListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\registerContent(), and eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\reindex().

## ◆ $locations

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::$locations = []
| protected

Definition at line 38 of file BackgroundIndexingTerminateListener.php.

## ◆ $persistenceHandler

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::$persistenceHandler
| protected

Definition at line 29 of file BackgroundIndexingTerminateListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\__construct().

## ◆ $searchHandler

eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener::$searchHandler
| protected

Definition at line 32 of file BackgroundIndexingTerminateListener.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\EventListener\BackgroundIndexingTerminateListener\__construct().

The documentation for this class was generated from the following file:

- BackgroundIndexingTerminateListener.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.